Summary: The standard Tcl library
Name: tcllib
Version: 1.10
Release: 1%{?dist}
License: TCL
Group: Development/Libraries
Source: http://downloads.sourceforge.net/tcllib/tcllib-1.10.tar.gz
URL: http://tcllib.sourceforge.net/
BuildArchitectures: noarch
Requires: tcl >= 8.3.1
BuildRequires: tcl >= 8.3.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Tcllib, the Tcl Standard Library is a collection of Tcl packages
that provide utility functions useful to a large collection of Tcl
programmers.

%prep
%setup -q
chmod -x modules/doctools/mpformats/fr.msg
# Convert a couple of files to UTF-8
for file in modules/struct/pool.html ; do
    iconv --from=ISO-8859-1 --to=UTF-8 ${file} > ${file}.new
    mv -f ${file}.new ${file}
done

%build
# Nothing to build!

%install
rm -rf $RPM_BUILD_ROOT
echo 'not available' > modules/imap4/imap4.n
%{_bindir}/tclsh installer.tcl -no-gui -no-wait -no-html -no-examples -no-apps\
    -pkg-path $RPM_BUILD_ROOT/$(echo 'puts $tcl_library' | %_bindir/tclsh)/%name-%version\
    -nroff-path $RPM_BUILD_ROOT%_mandir/mann
# install HTML documentation into specific modules sub-directories:
pushd modules
cp ftp/docs/*.html ftp/
for module in comm exif ftp mime stooop struct textutil; do
    mkdir -p ../$module && cp $module/*.html ../$module/;
done
popd

# Clean up rpmlint warnings
find $RPM_BUILD_ROOT/%{_datadir} -name \*.tcl -exec chmod 0644 {} \;

iconv --from=ISO-8859-1 --to=UTF-8 $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip.n > $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip.n.utf8
iconv --from=ISO-8859-1 --to=UTF-8 $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip_util.n > $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip_util.n.utf8
mv $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip.n.utf8 $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip.n
mv $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip_util.n.utf8 $RPM_BUILD_ROOT/%{_mandir}/mann/docstrip_util.n

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc support/releases/PACKAGES README support/releases/history/README-1.9.txt
%doc ChangeLog license.terms
%doc exif/ ftp/ mime/ stooop/ struct/ textutil/
%{_datadir}/tcl*/%{name}-%{version}
%{_mandir}/mann/*

%changelog
* Thu Jul 31 2008 Wart <wart at kobold.org> 1.10-1
- Update to 1.10

* Sat Jan 13 2007 Wart <wart at kobold.org> 1.9-1
- Update to 1.9

* Sun Oct 16 2005 Wart <wart at kobold.org> 1.8-3
- Bumped release number to fix cvs tagging problem, again.

* Sun Oct 16 2005 Wart <wart at kobold.org> 1.8-2
- Bumped release number to fix cvs tagging problem.

* Sun Oct 16 2005 Wart <wart at kobold.org> 1.8-1
- update to 1.8

* Sun Oct 2 2005 Wart <wart at kobold.org> 1.7-3
- Remove generated filelist; other minor spec file improvements.

* Mon Jul 4 2005 Wart <wart at kobold.org> 1.7-2
- Minor spec file changes in an attempt to conform to Fedora Extras
  packaging guidelines.

* Thu Oct 14 2004 Jean-Luc Fontaine <jfontain@free.fr> 1.7-1
- 1.7 version
- new modules: asn, bee, grammar_fa, http, ident, jpeg, ldap,
  png, rc4, ripemd, tar, tie, treeql, uuid
- modules removed: struct1

* Thu Feb 19 2004 Jean-Luc Fontaine <jfontain@free.fr> 1.6-1
- 1.6 version
- leaner and cleaner spec file based on Fedora standards
- install under tcl_library, not hard-coded /usr/lib
